IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network230.160.0.0/11
Usable hosts2,097,150
Subnet mask255.224.0.0
Addresses2,097,152
- Network address
230.160.0.0- Broadcast address
230.191.255.255- First usable
230.160.0.1- Last usable
230.191.255.254- Usable hosts
- 2,097,150 (2,097,152 less the network and broadcast addresses)
- Subnet mask
255.224.0.0- Wildcard mask
0.31.255.255(Cisco ACLs, OSPF)- Prefix length
- /11
- Type
- Multicast 224.0.0.0/4
One-to-many traffic, such as IPTV and routing protocols - Old class
- D (multicast)
- As numbers
- Hex
E6A00000· Integer3869245440to3871342591 - Reverse DNS zones
160.230.in-addr.arpa161.230.in-addr.arpa162.230.in-addr.arpa163.230.in-addr.arpa164.230.in-addr.arpa165.230.in-addr.arpa166.230.in-addr.arpa167.230.in-addr.arpa168.230.in-addr.arpa169.230.in-addr.arpa170.230.in-addr.arpa171.230.in-addr.arpa172.230.in-addr.arpa173.230.in-addr.arpa174.230.in-addr.arpa175.230.in-addr.arpa
and 16 more
/11 is not on a 8-bit boundary, so it takes 32 /16 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 11100110.10100000.00000000.00000000 | 230.160.0.0 |
| Subnet mask | 11111111.11100000.00000000.00000000 | 255.224.0.0 |
| Network | 11100110.10100000.00000000.00000000 | 230.160.0.0 |
| Broadcast | 11100110.10111111.11111111.11111111 | 230.191.255.255 |
Split into smaller subnets
/12 (2)/13 (4)/14 (8)/15 (16)/16 (32)/17 (64)/18 (128)/19 (256)/20 (512)/21 (1,024)/22 (2,048)/23 (4,096)
230.160.0.0/11 makes 256 subnets of /19.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 230.160.0.0/19 | 230.160.0.1 to 230.160.31.254 | 230.160.31.255 | 8,190 |
| 2 | 230.160.32.0/19 | 230.160.32.1 to 230.160.63.254 | 230.160.63.255 | 8,190 |
| 3 | 230.160.64.0/19 | 230.160.64.1 to 230.160.95.254 | 230.160.95.255 | 8,190 |
| 4 | 230.160.96.0/19 | 230.160.96.1 to 230.160.127.254 | 230.160.127.255 | 8,190 |
| 5 | 230.160.128.0/19 | 230.160.128.1 to 230.160.159.254 | 230.160.159.255 | 8,190 |
| 6 | 230.160.160.0/19 | 230.160.160.1 to 230.160.191.254 | 230.160.191.255 | 8,190 |
| 7 | 230.160.192.0/19 | 230.160.192.1 to 230.160.223.254 | 230.160.223.255 | 8,190 |
| 8 | 230.160.224.0/19 | 230.160.224.1 to 230.160.255.254 | 230.160.255.255 | 8,190 |
| 9 | 230.161.0.0/19 | 230.161.0.1 to 230.161.31.254 | 230.161.31.255 | 8,190 |
| 10 | 230.161.32.0/19 | 230.161.32.1 to 230.161.63.254 | 230.161.63.255 | 8,190 |
| 11 | 230.161.64.0/19 | 230.161.64.1 to 230.161.95.254 | 230.161.95.255 | 8,190 |
| 12 | 230.161.96.0/19 | 230.161.96.1 to 230.161.127.254 | 230.161.127.255 | 8,190 |
| 13 | 230.161.128.0/19 | 230.161.128.1 to 230.161.159.254 | 230.161.159.255 | 8,190 |
| 14 | 230.161.160.0/19 | 230.161.160.1 to 230.161.191.254 | 230.161.191.255 | 8,190 |
| 15 | 230.161.192.0/19 | 230.161.192.1 to 230.161.223.254 | 230.161.223.255 | 8,190 |
| 16 | 230.161.224.0/19 | 230.161.224.1 to 230.161.255.254 | 230.161.255.255 | 8,190 |
| 17 | 230.162.0.0/19 | 230.162.0.1 to 230.162.31.254 | 230.162.31.255 | 8,190 |
| 18 | 230.162.32.0/19 | 230.162.32.1 to 230.162.63.254 | 230.162.63.255 | 8,190 |
| 19 | 230.162.64.0/19 | 230.162.64.1 to 230.162.95.254 | 230.162.95.255 | 8,190 |
| 20 | 230.162.96.0/19 | 230.162.96.1 to 230.162.127.254 | 230.162.127.255 | 8,190 |
| 21 | 230.162.128.0/19 | 230.162.128.1 to 230.162.159.254 | 230.162.159.255 | 8,190 |
| 22 | 230.162.160.0/19 | 230.162.160.1 to 230.162.191.254 | 230.162.191.255 | 8,190 |
| 23 | 230.162.192.0/19 | 230.162.192.1 to 230.162.223.254 | 230.162.223.255 | 8,190 |
| 24 | 230.162.224.0/19 | 230.162.224.1 to 230.162.255.254 | 230.162.255.255 | 8,190 |
| 25 | 230.163.0.0/19 | 230.163.0.1 to 230.163.31.254 | 230.163.31.255 | 8,190 |
| 26 | 230.163.32.0/19 | 230.163.32.1 to 230.163.63.254 | 230.163.63.255 | 8,190 |
| 27 | 230.163.64.0/19 | 230.163.64.1 to 230.163.95.254 | 230.163.95.255 | 8,190 |
| 28 | 230.163.96.0/19 | 230.163.96.1 to 230.163.127.254 | 230.163.127.255 | 8,190 |
| 29 | 230.163.128.0/19 | 230.163.128.1 to 230.163.159.254 | 230.163.159.255 | 8,190 |
| 30 | 230.163.160.0/19 | 230.163.160.1 to 230.163.191.254 | 230.163.191.255 | 8,190 |
| 31 | 230.163.192.0/19 | 230.163.192.1 to 230.163.223.254 | 230.163.223.255 | 8,190 |
| 32 | 230.163.224.0/19 | 230.163.224.1 to 230.163.255.254 | 230.163.255.255 | 8,190 |
| 33 | 230.164.0.0/19 | 230.164.0.1 to 230.164.31.254 | 230.164.31.255 | 8,190 |
| 34 | 230.164.32.0/19 | 230.164.32.1 to 230.164.63.254 | 230.164.63.255 | 8,190 |
| 35 | 230.164.64.0/19 | 230.164.64.1 to 230.164.95.254 | 230.164.95.255 | 8,190 |
| 36 | 230.164.96.0/19 | 230.164.96.1 to 230.164.127.254 | 230.164.127.255 | 8,190 |
| 37 | 230.164.128.0/19 | 230.164.128.1 to 230.164.159.254 | 230.164.159.255 | 8,190 |
| 38 | 230.164.160.0/19 | 230.164.160.1 to 230.164.191.254 | 230.164.191.255 | 8,190 |
| 39 | 230.164.192.0/19 | 230.164.192.1 to 230.164.223.254 | 230.164.223.255 | 8,190 |
| 40 | 230.164.224.0/19 | 230.164.224.1 to 230.164.255.254 | 230.164.255.255 | 8,190 |
| 41 | 230.165.0.0/19 | 230.165.0.1 to 230.165.31.254 | 230.165.31.255 | 8,190 |
| 42 | 230.165.32.0/19 | 230.165.32.1 to 230.165.63.254 | 230.165.63.255 | 8,190 |
| 43 | 230.165.64.0/19 | 230.165.64.1 to 230.165.95.254 | 230.165.95.255 | 8,190 |
| 44 | 230.165.96.0/19 | 230.165.96.1 to 230.165.127.254 | 230.165.127.255 | 8,190 |
| 45 | 230.165.128.0/19 | 230.165.128.1 to 230.165.159.254 | 230.165.159.255 | 8,190 |
| 46 | 230.165.160.0/19 | 230.165.160.1 to 230.165.191.254 | 230.165.191.255 | 8,190 |
| 47 | 230.165.192.0/19 | 230.165.192.1 to 230.165.223.254 | 230.165.223.255 | 8,190 |
| 48 | 230.165.224.0/19 | 230.165.224.1 to 230.165.255.254 | 230.165.255.255 | 8,190 |
| 49 | 230.166.0.0/19 | 230.166.0.1 to 230.166.31.254 | 230.166.31.255 | 8,190 |
| 50 | 230.166.32.0/19 | 230.166.32.1 to 230.166.63.254 | 230.166.63.255 | 8,190 |
| 51 | 230.166.64.0/19 | 230.166.64.1 to 230.166.95.254 | 230.166.95.255 | 8,190 |
| 52 | 230.166.96.0/19 | 230.166.96.1 to 230.166.127.254 | 230.166.127.255 | 8,190 |
| 53 | 230.166.128.0/19 | 230.166.128.1 to 230.166.159.254 | 230.166.159.255 | 8,190 |
| 54 | 230.166.160.0/19 | 230.166.160.1 to 230.166.191.254 | 230.166.191.255 | 8,190 |
| 55 | 230.166.192.0/19 | 230.166.192.1 to 230.166.223.254 | 230.166.223.255 | 8,190 |
| 56 | 230.166.224.0/19 | 230.166.224.1 to 230.166.255.254 | 230.166.255.255 | 8,190 |
| 57 | 230.167.0.0/19 | 230.167.0.1 to 230.167.31.254 | 230.167.31.255 | 8,190 |
| 58 | 230.167.32.0/19 | 230.167.32.1 to 230.167.63.254 | 230.167.63.255 | 8,190 |
| 59 | 230.167.64.0/19 | 230.167.64.1 to 230.167.95.254 | 230.167.95.255 | 8,190 |
| 60 | 230.167.96.0/19 | 230.167.96.1 to 230.167.127.254 | 230.167.127.255 | 8,190 |
| 61 | 230.167.128.0/19 | 230.167.128.1 to 230.167.159.254 | 230.167.159.255 | 8,190 |
| 62 | 230.167.160.0/19 | 230.167.160.1 to 230.167.191.254 | 230.167.191.255 | 8,190 |
| 63 | 230.167.192.0/19 | 230.167.192.1 to 230.167.223.254 | 230.167.223.255 | 8,190 |
| 64 | 230.167.224.0/19 | 230.167.224.1 to 230.167.255.254 | 230.167.255.255 | 8,190 |
| 65 | 230.168.0.0/19 | 230.168.0.1 to 230.168.31.254 | 230.168.31.255 | 8,190 |
| 66 | 230.168.32.0/19 | 230.168.32.1 to 230.168.63.254 | 230.168.63.255 | 8,190 |
| 67 | 230.168.64.0/19 | 230.168.64.1 to 230.168.95.254 | 230.168.95.255 | 8,190 |
| 68 | 230.168.96.0/19 | 230.168.96.1 to 230.168.127.254 | 230.168.127.255 | 8,190 |
| 69 | 230.168.128.0/19 | 230.168.128.1 to 230.168.159.254 | 230.168.159.255 | 8,190 |
| 70 | 230.168.160.0/19 | 230.168.160.1 to 230.168.191.254 | 230.168.191.255 | 8,190 |
| 71 | 230.168.192.0/19 | 230.168.192.1 to 230.168.223.254 | 230.168.223.255 | 8,190 |
| 72 | 230.168.224.0/19 | 230.168.224.1 to 230.168.255.254 | 230.168.255.255 | 8,190 |
| 73 | 230.169.0.0/19 | 230.169.0.1 to 230.169.31.254 | 230.169.31.255 | 8,190 |
| 74 | 230.169.32.0/19 | 230.169.32.1 to 230.169.63.254 | 230.169.63.255 | 8,190 |
| 75 | 230.169.64.0/19 | 230.169.64.1 to 230.169.95.254 | 230.169.95.255 | 8,190 |
| 76 | 230.169.96.0/19 | 230.169.96.1 to 230.169.127.254 | 230.169.127.255 | 8,190 |
| 77 | 230.169.128.0/19 | 230.169.128.1 to 230.169.159.254 | 230.169.159.255 | 8,190 |
| 78 | 230.169.160.0/19 | 230.169.160.1 to 230.169.191.254 | 230.169.191.255 | 8,190 |
| 79 | 230.169.192.0/19 | 230.169.192.1 to 230.169.223.254 | 230.169.223.255 | 8,190 |
| 80 | 230.169.224.0/19 | 230.169.224.1 to 230.169.255.254 | 230.169.255.255 | 8,190 |
| 81 | 230.170.0.0/19 | 230.170.0.1 to 230.170.31.254 | 230.170.31.255 | 8,190 |
| 82 | 230.170.32.0/19 | 230.170.32.1 to 230.170.63.254 | 230.170.63.255 | 8,190 |
| 83 | 230.170.64.0/19 | 230.170.64.1 to 230.170.95.254 | 230.170.95.255 | 8,190 |
| 84 | 230.170.96.0/19 | 230.170.96.1 to 230.170.127.254 | 230.170.127.255 | 8,190 |
| 85 | 230.170.128.0/19 | 230.170.128.1 to 230.170.159.254 | 230.170.159.255 | 8,190 |
| 86 | 230.170.160.0/19 | 230.170.160.1 to 230.170.191.254 | 230.170.191.255 | 8,190 |
| 87 | 230.170.192.0/19 | 230.170.192.1 to 230.170.223.254 | 230.170.223.255 | 8,190 |
| 88 | 230.170.224.0/19 | 230.170.224.1 to 230.170.255.254 | 230.170.255.255 | 8,190 |
| 89 | 230.171.0.0/19 | 230.171.0.1 to 230.171.31.254 | 230.171.31.255 | 8,190 |
| 90 | 230.171.32.0/19 | 230.171.32.1 to 230.171.63.254 | 230.171.63.255 | 8,190 |
| 91 | 230.171.64.0/19 | 230.171.64.1 to 230.171.95.254 | 230.171.95.255 | 8,190 |
| 92 | 230.171.96.0/19 | 230.171.96.1 to 230.171.127.254 | 230.171.127.255 | 8,190 |
| 93 | 230.171.128.0/19 | 230.171.128.1 to 230.171.159.254 | 230.171.159.255 | 8,190 |
| 94 | 230.171.160.0/19 | 230.171.160.1 to 230.171.191.254 | 230.171.191.255 | 8,190 |
| 95 | 230.171.192.0/19 | 230.171.192.1 to 230.171.223.254 | 230.171.223.255 | 8,190 |
| 96 | 230.171.224.0/19 | 230.171.224.1 to 230.171.255.254 | 230.171.255.255 | 8,190 |
| 97 | 230.172.0.0/19 | 230.172.0.1 to 230.172.31.254 | 230.172.31.255 | 8,190 |
| 98 | 230.172.32.0/19 | 230.172.32.1 to 230.172.63.254 | 230.172.63.255 | 8,190 |
| 99 | 230.172.64.0/19 | 230.172.64.1 to 230.172.95.254 | 230.172.95.255 | 8,190 |
| 100 | 230.172.96.0/19 | 230.172.96.1 to 230.172.127.254 | 230.172.127.255 | 8,190 |
| 101 | 230.172.128.0/19 | 230.172.128.1 to 230.172.159.254 | 230.172.159.255 | 8,190 |
| 102 | 230.172.160.0/19 | 230.172.160.1 to 230.172.191.254 | 230.172.191.255 | 8,190 |
| 103 | 230.172.192.0/19 | 230.172.192.1 to 230.172.223.254 | 230.172.223.255 | 8,190 |
| 104 | 230.172.224.0/19 | 230.172.224.1 to 230.172.255.254 | 230.172.255.255 | 8,190 |
| 105 | 230.173.0.0/19 | 230.173.0.1 to 230.173.31.254 | 230.173.31.255 | 8,190 |
| 106 | 230.173.32.0/19 | 230.173.32.1 to 230.173.63.254 | 230.173.63.255 | 8,190 |
| 107 | 230.173.64.0/19 | 230.173.64.1 to 230.173.95.254 | 230.173.95.255 | 8,190 |
| 108 | 230.173.96.0/19 | 230.173.96.1 to 230.173.127.254 | 230.173.127.255 | 8,190 |
| 109 | 230.173.128.0/19 | 230.173.128.1 to 230.173.159.254 | 230.173.159.255 | 8,190 |
| 110 | 230.173.160.0/19 | 230.173.160.1 to 230.173.191.254 | 230.173.191.255 | 8,190 |
| 111 | 230.173.192.0/19 | 230.173.192.1 to 230.173.223.254 | 230.173.223.255 | 8,190 |
| 112 | 230.173.224.0/19 | 230.173.224.1 to 230.173.255.254 | 230.173.255.255 | 8,190 |
| 113 | 230.174.0.0/19 | 230.174.0.1 to 230.174.31.254 | 230.174.31.255 | 8,190 |
| 114 | 230.174.32.0/19 | 230.174.32.1 to 230.174.63.254 | 230.174.63.255 | 8,190 |
| 115 | 230.174.64.0/19 | 230.174.64.1 to 230.174.95.254 | 230.174.95.255 | 8,190 |
| 116 | 230.174.96.0/19 | 230.174.96.1 to 230.174.127.254 | 230.174.127.255 | 8,190 |
| 117 | 230.174.128.0/19 | 230.174.128.1 to 230.174.159.254 | 230.174.159.255 | 8,190 |
| 118 | 230.174.160.0/19 | 230.174.160.1 to 230.174.191.254 | 230.174.191.255 | 8,190 |
| 119 | 230.174.192.0/19 | 230.174.192.1 to 230.174.223.254 | 230.174.223.255 | 8,190 |
| 120 | 230.174.224.0/19 | 230.174.224.1 to 230.174.255.254 | 230.174.255.255 | 8,190 |
| 121 | 230.175.0.0/19 | 230.175.0.1 to 230.175.31.254 | 230.175.31.255 | 8,190 |
| 122 | 230.175.32.0/19 | 230.175.32.1 to 230.175.63.254 | 230.175.63.255 | 8,190 |
| 123 | 230.175.64.0/19 | 230.175.64.1 to 230.175.95.254 | 230.175.95.255 | 8,190 |
| 124 | 230.175.96.0/19 | 230.175.96.1 to 230.175.127.254 | 230.175.127.255 | 8,190 |
| 125 | 230.175.128.0/19 | 230.175.128.1 to 230.175.159.254 | 230.175.159.255 | 8,190 |
| 126 | 230.175.160.0/19 | 230.175.160.1 to 230.175.191.254 | 230.175.191.255 | 8,190 |
| 127 | 230.175.192.0/19 | 230.175.192.1 to 230.175.223.254 | 230.175.223.255 | 8,190 |
| 128 | 230.175.224.0/19 | 230.175.224.1 to 230.175.255.254 | 230.175.255.255 | 8,190 |
| 129 | 230.176.0.0/19 | 230.176.0.1 to 230.176.31.254 | 230.176.31.255 | 8,190 |
| 130 | 230.176.32.0/19 | 230.176.32.1 to 230.176.63.254 | 230.176.63.255 | 8,190 |
| 131 | 230.176.64.0/19 | 230.176.64.1 to 230.176.95.254 | 230.176.95.255 | 8,190 |
| 132 | 230.176.96.0/19 | 230.176.96.1 to 230.176.127.254 | 230.176.127.255 | 8,190 |
| 133 | 230.176.128.0/19 | 230.176.128.1 to 230.176.159.254 | 230.176.159.255 | 8,190 |
| 134 | 230.176.160.0/19 | 230.176.160.1 to 230.176.191.254 | 230.176.191.255 | 8,190 |
| 135 | 230.176.192.0/19 | 230.176.192.1 to 230.176.223.254 | 230.176.223.255 | 8,190 |
| 136 | 230.176.224.0/19 | 230.176.224.1 to 230.176.255.254 | 230.176.255.255 | 8,190 |
| 137 | 230.177.0.0/19 | 230.177.0.1 to 230.177.31.254 | 230.177.31.255 | 8,190 |
| 138 | 230.177.32.0/19 | 230.177.32.1 to 230.177.63.254 | 230.177.63.255 | 8,190 |
| 139 | 230.177.64.0/19 | 230.177.64.1 to 230.177.95.254 | 230.177.95.255 | 8,190 |
| 140 | 230.177.96.0/19 | 230.177.96.1 to 230.177.127.254 | 230.177.127.255 | 8,190 |
| 141 | 230.177.128.0/19 | 230.177.128.1 to 230.177.159.254 | 230.177.159.255 | 8,190 |
| 142 | 230.177.160.0/19 | 230.177.160.1 to 230.177.191.254 | 230.177.191.255 | 8,190 |
| 143 | 230.177.192.0/19 | 230.177.192.1 to 230.177.223.254 | 230.177.223.255 | 8,190 |
| 144 | 230.177.224.0/19 | 230.177.224.1 to 230.177.255.254 | 230.177.255.255 | 8,190 |
| 145 | 230.178.0.0/19 | 230.178.0.1 to 230.178.31.254 | 230.178.31.255 | 8,190 |
| 146 | 230.178.32.0/19 | 230.178.32.1 to 230.178.63.254 | 230.178.63.255 | 8,190 |
| 147 | 230.178.64.0/19 | 230.178.64.1 to 230.178.95.254 | 230.178.95.255 | 8,190 |
| 148 | 230.178.96.0/19 | 230.178.96.1 to 230.178.127.254 | 230.178.127.255 | 8,190 |
| 149 | 230.178.128.0/19 | 230.178.128.1 to 230.178.159.254 | 230.178.159.255 | 8,190 |
| 150 | 230.178.160.0/19 | 230.178.160.1 to 230.178.191.254 | 230.178.191.255 | 8,190 |
| 151 | 230.178.192.0/19 | 230.178.192.1 to 230.178.223.254 | 230.178.223.255 | 8,190 |
| 152 | 230.178.224.0/19 | 230.178.224.1 to 230.178.255.254 | 230.178.255.255 | 8,190 |
| 153 | 230.179.0.0/19 | 230.179.0.1 to 230.179.31.254 | 230.179.31.255 | 8,190 |
| 154 | 230.179.32.0/19 | 230.179.32.1 to 230.179.63.254 | 230.179.63.255 | 8,190 |
| 155 | 230.179.64.0/19 | 230.179.64.1 to 230.179.95.254 | 230.179.95.255 | 8,190 |
| 156 | 230.179.96.0/19 | 230.179.96.1 to 230.179.127.254 | 230.179.127.255 | 8,190 |
| 157 | 230.179.128.0/19 | 230.179.128.1 to 230.179.159.254 | 230.179.159.255 | 8,190 |
| 158 | 230.179.160.0/19 | 230.179.160.1 to 230.179.191.254 | 230.179.191.255 | 8,190 |
| 159 | 230.179.192.0/19 | 230.179.192.1 to 230.179.223.254 | 230.179.223.255 | 8,190 |
| 160 | 230.179.224.0/19 | 230.179.224.1 to 230.179.255.254 | 230.179.255.255 | 8,190 |
| 161 | 230.180.0.0/19 | 230.180.0.1 to 230.180.31.254 | 230.180.31.255 | 8,190 |
| 162 | 230.180.32.0/19 | 230.180.32.1 to 230.180.63.254 | 230.180.63.255 | 8,190 |
| 163 | 230.180.64.0/19 | 230.180.64.1 to 230.180.95.254 | 230.180.95.255 | 8,190 |
| 164 | 230.180.96.0/19 | 230.180.96.1 to 230.180.127.254 | 230.180.127.255 | 8,190 |
| 165 | 230.180.128.0/19 | 230.180.128.1 to 230.180.159.254 | 230.180.159.255 | 8,190 |
| 166 | 230.180.160.0/19 | 230.180.160.1 to 230.180.191.254 | 230.180.191.255 | 8,190 |
| 167 | 230.180.192.0/19 | 230.180.192.1 to 230.180.223.254 | 230.180.223.255 | 8,190 |
| 168 | 230.180.224.0/19 | 230.180.224.1 to 230.180.255.254 | 230.180.255.255 | 8,190 |
| 169 | 230.181.0.0/19 | 230.181.0.1 to 230.181.31.254 | 230.181.31.255 | 8,190 |
| 170 | 230.181.32.0/19 | 230.181.32.1 to 230.181.63.254 | 230.181.63.255 | 8,190 |
| 171 | 230.181.64.0/19 | 230.181.64.1 to 230.181.95.254 | 230.181.95.255 | 8,190 |
| 172 | 230.181.96.0/19 | 230.181.96.1 to 230.181.127.254 | 230.181.127.255 | 8,190 |
| 173 | 230.181.128.0/19 | 230.181.128.1 to 230.181.159.254 | 230.181.159.255 | 8,190 |
| 174 | 230.181.160.0/19 | 230.181.160.1 to 230.181.191.254 | 230.181.191.255 | 8,190 |
| 175 | 230.181.192.0/19 | 230.181.192.1 to 230.181.223.254 | 230.181.223.255 | 8,190 |
| 176 | 230.181.224.0/19 | 230.181.224.1 to 230.181.255.254 | 230.181.255.255 | 8,190 |
| 177 | 230.182.0.0/19 | 230.182.0.1 to 230.182.31.254 | 230.182.31.255 | 8,190 |
| 178 | 230.182.32.0/19 | 230.182.32.1 to 230.182.63.254 | 230.182.63.255 | 8,190 |
| 179 | 230.182.64.0/19 | 230.182.64.1 to 230.182.95.254 | 230.182.95.255 | 8,190 |
| 180 | 230.182.96.0/19 | 230.182.96.1 to 230.182.127.254 | 230.182.127.255 | 8,190 |
| 181 | 230.182.128.0/19 | 230.182.128.1 to 230.182.159.254 | 230.182.159.255 | 8,190 |
| 182 | 230.182.160.0/19 | 230.182.160.1 to 230.182.191.254 | 230.182.191.255 | 8,190 |
| 183 | 230.182.192.0/19 | 230.182.192.1 to 230.182.223.254 | 230.182.223.255 | 8,190 |
| 184 | 230.182.224.0/19 | 230.182.224.1 to 230.182.255.254 | 230.182.255.255 | 8,190 |
| 185 | 230.183.0.0/19 | 230.183.0.1 to 230.183.31.254 | 230.183.31.255 | 8,190 |
| 186 | 230.183.32.0/19 | 230.183.32.1 to 230.183.63.254 | 230.183.63.255 | 8,190 |
| 187 | 230.183.64.0/19 | 230.183.64.1 to 230.183.95.254 | 230.183.95.255 | 8,190 |
| 188 | 230.183.96.0/19 | 230.183.96.1 to 230.183.127.254 | 230.183.127.255 | 8,190 |
| 189 | 230.183.128.0/19 | 230.183.128.1 to 230.183.159.254 | 230.183.159.255 | 8,190 |
| 190 | 230.183.160.0/19 | 230.183.160.1 to 230.183.191.254 | 230.183.191.255 | 8,190 |
| 191 | 230.183.192.0/19 | 230.183.192.1 to 230.183.223.254 | 230.183.223.255 | 8,190 |
| 192 | 230.183.224.0/19 | 230.183.224.1 to 230.183.255.254 | 230.183.255.255 | 8,190 |
| 193 | 230.184.0.0/19 | 230.184.0.1 to 230.184.31.254 | 230.184.31.255 | 8,190 |
| 194 | 230.184.32.0/19 | 230.184.32.1 to 230.184.63.254 | 230.184.63.255 | 8,190 |
| 195 | 230.184.64.0/19 | 230.184.64.1 to 230.184.95.254 | 230.184.95.255 | 8,190 |
| 196 | 230.184.96.0/19 | 230.184.96.1 to 230.184.127.254 | 230.184.127.255 | 8,190 |
| 197 | 230.184.128.0/19 | 230.184.128.1 to 230.184.159.254 | 230.184.159.255 | 8,190 |
| 198 | 230.184.160.0/19 | 230.184.160.1 to 230.184.191.254 | 230.184.191.255 | 8,190 |
| 199 | 230.184.192.0/19 | 230.184.192.1 to 230.184.223.254 | 230.184.223.255 | 8,190 |
| 200 | 230.184.224.0/19 | 230.184.224.1 to 230.184.255.254 | 230.184.255.255 | 8,190 |
| 201 | 230.185.0.0/19 | 230.185.0.1 to 230.185.31.254 | 230.185.31.255 | 8,190 |
| 202 | 230.185.32.0/19 | 230.185.32.1 to 230.185.63.254 | 230.185.63.255 | 8,190 |
| 203 | 230.185.64.0/19 | 230.185.64.1 to 230.185.95.254 | 230.185.95.255 | 8,190 |
| 204 | 230.185.96.0/19 | 230.185.96.1 to 230.185.127.254 | 230.185.127.255 | 8,190 |
| 205 | 230.185.128.0/19 | 230.185.128.1 to 230.185.159.254 | 230.185.159.255 | 8,190 |
| 206 | 230.185.160.0/19 | 230.185.160.1 to 230.185.191.254 | 230.185.191.255 | 8,190 |
| 207 | 230.185.192.0/19 | 230.185.192.1 to 230.185.223.254 | 230.185.223.255 | 8,190 |
| 208 | 230.185.224.0/19 | 230.185.224.1 to 230.185.255.254 | 230.185.255.255 | 8,190 |
| 209 | 230.186.0.0/19 | 230.186.0.1 to 230.186.31.254 | 230.186.31.255 | 8,190 |
| 210 | 230.186.32.0/19 | 230.186.32.1 to 230.186.63.254 | 230.186.63.255 | 8,190 |
| 211 | 230.186.64.0/19 | 230.186.64.1 to 230.186.95.254 | 230.186.95.255 | 8,190 |
| 212 | 230.186.96.0/19 | 230.186.96.1 to 230.186.127.254 | 230.186.127.255 | 8,190 |
| 213 | 230.186.128.0/19 | 230.186.128.1 to 230.186.159.254 | 230.186.159.255 | 8,190 |
| 214 | 230.186.160.0/19 | 230.186.160.1 to 230.186.191.254 | 230.186.191.255 | 8,190 |
| 215 | 230.186.192.0/19 | 230.186.192.1 to 230.186.223.254 | 230.186.223.255 | 8,190 |
| 216 | 230.186.224.0/19 | 230.186.224.1 to 230.186.255.254 | 230.186.255.255 | 8,190 |
| 217 | 230.187.0.0/19 | 230.187.0.1 to 230.187.31.254 | 230.187.31.255 | 8,190 |
| 218 | 230.187.32.0/19 | 230.187.32.1 to 230.187.63.254 | 230.187.63.255 | 8,190 |
| 219 | 230.187.64.0/19 | 230.187.64.1 to 230.187.95.254 | 230.187.95.255 | 8,190 |
| 220 | 230.187.96.0/19 | 230.187.96.1 to 230.187.127.254 | 230.187.127.255 | 8,190 |
| 221 | 230.187.128.0/19 | 230.187.128.1 to 230.187.159.254 | 230.187.159.255 | 8,190 |
| 222 | 230.187.160.0/19 | 230.187.160.1 to 230.187.191.254 | 230.187.191.255 | 8,190 |
| 223 | 230.187.192.0/19 | 230.187.192.1 to 230.187.223.254 | 230.187.223.255 | 8,190 |
| 224 | 230.187.224.0/19 | 230.187.224.1 to 230.187.255.254 | 230.187.255.255 | 8,190 |
| 225 | 230.188.0.0/19 | 230.188.0.1 to 230.188.31.254 | 230.188.31.255 | 8,190 |
| 226 | 230.188.32.0/19 | 230.188.32.1 to 230.188.63.254 | 230.188.63.255 | 8,190 |
| 227 | 230.188.64.0/19 | 230.188.64.1 to 230.188.95.254 | 230.188.95.255 | 8,190 |
| 228 | 230.188.96.0/19 | 230.188.96.1 to 230.188.127.254 | 230.188.127.255 | 8,190 |
| 229 | 230.188.128.0/19 | 230.188.128.1 to 230.188.159.254 | 230.188.159.255 | 8,190 |
| 230 | 230.188.160.0/19 | 230.188.160.1 to 230.188.191.254 | 230.188.191.255 | 8,190 |
| 231 | 230.188.192.0/19 | 230.188.192.1 to 230.188.223.254 | 230.188.223.255 | 8,190 |
| 232 | 230.188.224.0/19 | 230.188.224.1 to 230.188.255.254 | 230.188.255.255 | 8,190 |
| 233 | 230.189.0.0/19 | 230.189.0.1 to 230.189.31.254 | 230.189.31.255 | 8,190 |
| 234 | 230.189.32.0/19 | 230.189.32.1 to 230.189.63.254 | 230.189.63.255 | 8,190 |
| 235 | 230.189.64.0/19 | 230.189.64.1 to 230.189.95.254 | 230.189.95.255 | 8,190 |
| 236 | 230.189.96.0/19 | 230.189.96.1 to 230.189.127.254 | 230.189.127.255 | 8,190 |
| 237 | 230.189.128.0/19 | 230.189.128.1 to 230.189.159.254 | 230.189.159.255 | 8,190 |
| 238 | 230.189.160.0/19 | 230.189.160.1 to 230.189.191.254 | 230.189.191.255 | 8,190 |
| 239 | 230.189.192.0/19 | 230.189.192.1 to 230.189.223.254 | 230.189.223.255 | 8,190 |
| 240 | 230.189.224.0/19 | 230.189.224.1 to 230.189.255.254 | 230.189.255.255 | 8,190 |
| 241 | 230.190.0.0/19 | 230.190.0.1 to 230.190.31.254 | 230.190.31.255 | 8,190 |
| 242 | 230.190.32.0/19 | 230.190.32.1 to 230.190.63.254 | 230.190.63.255 | 8,190 |
| 243 | 230.190.64.0/19 | 230.190.64.1 to 230.190.95.254 | 230.190.95.255 | 8,190 |
| 244 | 230.190.96.0/19 | 230.190.96.1 to 230.190.127.254 | 230.190.127.255 | 8,190 |
| 245 | 230.190.128.0/19 | 230.190.128.1 to 230.190.159.254 | 230.190.159.255 | 8,190 |
| 246 | 230.190.160.0/19 | 230.190.160.1 to 230.190.191.254 | 230.190.191.255 | 8,190 |
| 247 | 230.190.192.0/19 | 230.190.192.1 to 230.190.223.254 | 230.190.223.255 | 8,190 |
| 248 | 230.190.224.0/19 | 230.190.224.1 to 230.190.255.254 | 230.190.255.255 | 8,190 |
| 249 | 230.191.0.0/19 | 230.191.0.1 to 230.191.31.254 | 230.191.31.255 | 8,190 |
| 250 | 230.191.32.0/19 | 230.191.32.1 to 230.191.63.254 | 230.191.63.255 | 8,190 |
| 251 | 230.191.64.0/19 | 230.191.64.1 to 230.191.95.254 | 230.191.95.255 | 8,190 |
| 252 | 230.191.96.0/19 | 230.191.96.1 to 230.191.127.254 | 230.191.127.255 | 8,190 |
| 253 | 230.191.128.0/19 | 230.191.128.1 to 230.191.159.254 | 230.191.159.255 | 8,190 |
| 254 | 230.191.160.0/19 | 230.191.160.1 to 230.191.191.254 | 230.191.191.255 | 8,190 |
| 255 | 230.191.192.0/19 | 230.191.192.1 to 230.191.223.254 | 230.191.223.255 | 8,190 |
| 256 | 230.191.224.0/19 | 230.191.224.1 to 230.191.255.254 | 230.191.255.255 | 8,190 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |